//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/ut4_workshops/ladderclip
{
        qer_editorimage textures/ut4_workshops/ladder-rad.jpg
        qer_trans 0.50
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

/////////////
///////////// LIGHT //////////////
/////////////  Shaders and files comes from Subway and Swim map.
/////////////
/////////////
/////////////
/////////////
/////////////

textures/ut4_workshops/swietlowka
{
	qer_editorimage textures/ut4_workshops/whitelight.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 10000
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_workshops/whitelight.jpg
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ut4_workshops/whitelight.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_workshops/laelite02
{
	qer_editorimage textures/ut4_workshops/sublight02.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight02_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_workshops/laelite01
{
	qer_editorimage textures/ut4_workshops/sublight01.tga
	q3map_surfacelight 60000
	polygonOffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight01_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_workshops/laelite04
{
	qer_editorimage textures/ut4_workshops/sublight04.tga
	q3map_surfacelight 10000
	polygonOffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight04_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_workshops/laelite03
{
	qer_editorimage textures/ut4_workshops/sublight03.tga
	q3map_surfacelight 5000 //1000
	polygonOffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/ut4_workshops/sublight03_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_workshops/ceiling_light1
{
	qer_editorimage textures/ut4_workshops/ceiling_light1.tga
	q3map_surfacelight 10000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_workshops/ceiling_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_workshops/ceiling_light1.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ut4_workshops/ceiling_light1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}





textures/ut4_workshops/chmury1niebo
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 800
	q3map_lightRGB 255 255 255
	qer_editorimage textures/ut4_workshops/chmury1niebo.jpg
 	skyparms - 512 -
	{
		map textures/ut4_workshops/chmury1niebo.jpg
		tcMod scale 3 3 //4 4
		tcMod scroll 0.0200 0.00200
	}
}

// WATER FANCY FROM http://www.darth.illusions-tec.de/tut_water_en.php


textures/ut4_workshops/fancywater 	// name of the texture (in Radiant)
{ 	 
qer_editorimage textures/ut4_workshops/water 	// picture of the shader in Radiant
sort banner 	// depth sorting of shaders
qer_trans 0.8 	// transparency in Radiant
surfaceparm nonsolid 	// surface is non solid
surfaceparm nonopaque 	// surface is transparent
surfaceparm trans 	// surface is transparent 2
surfaceparm water 	// water characteristics
q3map_material Water 	// water characteristics 2
tessSize 128 	// divides Brushes into 128x128 Brushes
    { 	 
map textures/ut4_workshops/water 	// basic texture
blendFunc GL_ONE GL_SRC_ALPHA 	// transparency
rgbGen const ( 0.5 0.5 0.5 ) 	// weakens colors 50%
alphaFunc GE128 	// filters black
alphaGen const 1.0 	// alpha-channel attitudes
    } 	 
    { 	 
map textures/ut4_workshops/env_water 	// environment texture (reflectivity)
tcGen environment 	// makes this an environment stage
rgbGen const ( 0.5 0.4 0.4 ) 	// (red stronger than green & blue)
blendFunc GL_ONE GL_ONE 	// transparency
    } 	 
    { 	 
map textures/ut4_workshops/env_water 	// environment texture (reflectivity)
tcGen environment 	// makes this an environment stage
blendFunc GL_DST_COLOR GL_ZERO 	// transparency
    } 	 
    { 	 
map $lightmap 	// lightmap stage
blendFunc GL_DST_COLOR GL_ZERO 	// transparency
    } 	 
} 	 

///// Rayne's shader from CMM

textures/ut4_workshops/firma5_transp
{
         
        qer_editorimage textures/ut4_workshops/firma5_transp.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/firma5_transp.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}

textures/ut4_workshops/sign_unload
{
         
        qer_editorimage textures/ut4_workshops/sign_unload.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_unload.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}

textures/ut4_workshops/sign_tress3
{
         
        qer_editorimage textures/ut4_workshops/sign_tress3.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_tress3.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}

textures/ut4_workshops/sign_miazga
{
         
        qer_editorimage textures/ut4_workshops/sign_miazga.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_miazga.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}

textures/ut4_workshops/sign_driving
{
         
        qer_editorimage textures/ut4_workshops/sign_driving.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_driving.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}

textures/ut4_workshops/sewery3		
{
         
        qer_editorimage textures/ut4_workshops/sewery3.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sewery3.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}


textures/ut4_workshops/sign_deadend	
{
         
        qer_editorimage textures/ut4_workshops/sign_deadend.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_deadend.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}


textures/ut4_workshops/sign_nopark
{
         
        qer_editorimage textures/ut4_workshops/sign_nopark.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_nopark.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}


textures/ut4_workshops/sign_camping
{
         
        qer_editorimage textures/ut4_workshops/sign_camping.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_camping.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}

textures/ut4_workshops/sign_30km
{
         
        qer_editorimage textures/ut4_workshops/sign_30km.tga
        surfaceparm nolightmap  
        surfaceparm nonsolid
        surfaceparm nomarks
        {

                map textures/ut4_workshops/sign_30km.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
                rgbGen vertex
                
        }

        {
                map $lightmap
                rgbGen identity
                blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
        }
}
